<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/scene/expansionsceneobject.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d2b/a01010_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionsceneobject.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d2b/a01010.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">//TODO: maybe continue work on this? Not really needed ATM</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../de/dc5/a04521.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/dc5/a04521.html">ExpansionSceneObject</a> : <a class="code hl_class" href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/dc5/a04521.html#a82b23d8ab5e3c27b0a5cf332e4f8d155">    4</a></span>    vector <a class="code hl_variable" href="../../de/dc5/a04521.html#a82b23d8ab5e3c27b0a5cf332e4f8d155">Position</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/dc5/a04521.html#a631dc31a0b2ac87ea41d6347bf63d0ae">    5</a></span>    vector <a class="code hl_variable" href="../../de/dc5/a04521.html#a631dc31a0b2ac87ea41d6347bf63d0ae">Orientation</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/dc5/a04521.html#a7c0aded5f4a046f12074fba8358353f1">    6</a></span>    vector <a class="code hl_variable" href="../../de/dc5/a04521.html#a7c0aded5f4a046f12074fba8358353f1">Scale</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/dc5/a04521.html#a26252c4fbf17823c93cb77e24d851d6b">    8</a></span>    autoptr array&lt;ref ExpansionSceneObject&gt; <a class="code hl_variable" href="../../de/dc5/a04521.html#a26252c4fbf17823c93cb77e24d851d6b">Children</a> = <span class="keyword">new</span> array&lt;ref ExpansionSceneObject&gt;();</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../de/dc5/a04521.html#a2e9073324154d90bd7a066992c0f5b44">   10</a></span>    <span class="keyword">override</span> Object <a class="code hl_function" href="../../de/dc5/a04521.html#a2e9073324154d90bd7a066992c0f5b44">Spawn</a>(Object self, <span class="keywordtype">bool</span> ignoreCargo = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        self = super.Spawn(self);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">return</span> self;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>};</div>
<div class="ttc" id="aa04509_html"><div class="ttname"><a href="../../d7/dfb/a04509.html">ExpansionPrefabObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbc/a01004_source.html#l00001">expansionprefabobject.c:2</a></div></div>
<div class="ttc" id="aa04521_html"><div class="ttname"><a href="../../de/dc5/a04521.html">ExpansionSceneObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d2b/a01010_source.html#l00002">expansionsceneobject.c:3</a></div></div>
<div class="ttc" id="aa04521_html_a26252c4fbf17823c93cb77e24d851d6b"><div class="ttname"><a href="../../de/dc5/a04521.html#a26252c4fbf17823c93cb77e24d851d6b">ExpansionSceneObject::Children</a></div><div class="ttdeci">autoptr array&lt; ref ExpansionSceneObject &gt; Children</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d2b/a01010_source.html#l00008">expansionsceneobject.c:8</a></div></div>
<div class="ttc" id="aa04521_html_a2e9073324154d90bd7a066992c0f5b44"><div class="ttname"><a href="../../de/dc5/a04521.html#a2e9073324154d90bd7a066992c0f5b44">ExpansionSceneObject::Spawn</a></div><div class="ttdeci">override Object Spawn(Object self, bool ignoreCargo=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d2b/a01010_source.html#l00010">expansionsceneobject.c:10</a></div></div>
<div class="ttc" id="aa04521_html_a631dc31a0b2ac87ea41d6347bf63d0ae"><div class="ttname"><a href="../../de/dc5/a04521.html#a631dc31a0b2ac87ea41d6347bf63d0ae">ExpansionSceneObject::Orientation</a></div><div class="ttdeci">vector Orientation</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d2b/a01010_source.html#l00005">expansionsceneobject.c:5</a></div></div>
<div class="ttc" id="aa04521_html_a7c0aded5f4a046f12074fba8358353f1"><div class="ttname"><a href="../../de/dc5/a04521.html#a7c0aded5f4a046f12074fba8358353f1">ExpansionSceneObject::Scale</a></div><div class="ttdeci">vector Scale</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d2b/a01010_source.html#l00006">expansionsceneobject.c:6</a></div></div>
<div class="ttc" id="aa04521_html_a82b23d8ab5e3c27b0a5cf332e4f8d155"><div class="ttname"><a href="../../de/dc5/a04521.html#a82b23d8ab5e3c27b0a5cf332e4f8d155">ExpansionSceneObject::Position</a></div><div class="ttdeci">vector Position</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d2b/a01010_source.html#l00004">expansionsceneobject.c:4</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_54a999a3270d4ff154e4b136f0c14d31.html">scene</a></li><li class="navelem"><a class="el" href="../../d0/d2b/a01010.html">expansionsceneobject.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
